Package com.ocient.metrics

# Enum Metric.Tag

java.lang.Object
java.lang.Enum<Metric.Tag>
com.ocient.metrics.Metric.Tag

All Implemented Interfaces:
  `Serializable`, `Comparable<Metric.Tag>`, `java.lang.constant.Constable`

Enclosing class:
  Metric<T>

    public static enum Metric.Tag
    extends Enum<Metric.Tag>

Tags that can be associated with a metric. Since external tools (such as telegraf) make use of these tags, we make them an enum rather than using strings. When the list of tags changes, the changes should be reflected in the user documentation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`CLIENT_SESSION_ID` |
`ID` |
`QUERY_ID` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static Metric.Tag` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static Metric.Tag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ID

public static final Metric.Tag ID

### QUERY_ID

public static final Metric.Tag QUERY_ID

### CLIENT_SESSION_ID

public static final Metric.Tag CLIENT_SESSION_ID

## Method Details

### values

public static Metric.Tag[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Metric.Tag valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null